<template>
	<!-- <el-header height="50px"> -->
		<div class="navbar">
			<div class="button-container" @click="$emit('update:collapsed', !collapsed)">
				<i v-if="collapsed" class="el-icon-s-unfold"></i>
				<i v-else class="el-icon-s-fold"></i>
			</div>	
			<el-breadcrumb separator="/">
				<!-- <el-breadcrumb-item :to="{ path: '/' }">Home</el-breadcrumb-item> -->
				<el-breadcrumb-item v-for="b in breadcrumb" :key="b.name" :to="{ path: b.path }">{{b.name}}</el-breadcrumb-item>
				<el-breadcrumb-item v-if="title" >{{title}}</el-breadcrumb-item>
			</el-breadcrumb>
			<div class="actions" >
				<slot  />
			</div>
		</div>
	<!-- </el-header>	 -->
</template>
<script>
export default {
	props: {
		collapsed: Boolean
	},
	computed:{
		/** 
		 * Devuelve el path actual, en un array de elementos
		*/
		breadcrumb() {
			let path = this.$route.path.split('/')
			let path2 = []
			let breads = []
			
			path2.push(path.shift())
			let p = path.shift()
			while(p) {
				path2.push(p)
				breads.push({
					name: p,
					path: path2.join('/')
				})
				p = path.shift()
			} 
			return breads
		},
		/**
		 * devuelve el título de la vista
		 * ! para que el titulo se vea, debe estar configurado en meta.view.title de la ruta actual
		 */
		title() {
			const isNew = this.$route?.path.split('/').pop() == 'new'
			// console.log(isNew)
			return isNew ? this.$route?.meta?.view?.titleNew || this.$route?.meta?.view?.title : this.$route?.meta?.view?.title
		},
	},
	data() {
		return {
			// isCollapse: false,
		}
	}}
</script>
<style scoped>
.button-container {
	line-height: 46px;
	height: 100%;
	float: left;
	cursor: pointer;
	-webkit-transition: background .5s;
	transition: background .5s;
	-webkit-tap-highlight-color: transparent;
	padding: 0px 15px;
	height: 100%;
}

.navbar {
	display: flex;
	height: 50px;
	overflow: hidden;
	position: relative;
	background: #fff;
	-webkit-box-shadow: 0 1px 4px rgba(0,21,41,.08);
	box-shadow: 0 1px 4px rgba(0,21,41,.08);
}


.navbar .button-container:hover {
	background: rgba(0,0,0,.1);
}

.breadcrumb {
	height:100%;
	/* padding: auto; */
}

.el-breadcrumb {
	display: inline-block;
	font-size: 14px;
	line-height: 50px;
	margin-left: 8px;
}

.el-breadcrumb__item {
	font-weight: 400 !important;
	text-transform: capitalize;
}

.actions {
	height:100%;
	display: inline-block;
	font-size: 14px;
	line-height: 50px;
	margin-left: 8px;
	padding-left: 20px;
}

</style>
